Subject: Re: bug#25870: give an example to show what lines join -a and -v are talking about

From: Assaf Gordon <[email-masked]>
Date: Mon, 27 Feb 2017 16:02:53 -0500

Hello,
Thank you for your good comments.

> On Feb 27, 2017, at 05:26, 積丹尼 Dan Jacobson <[email-masked]> wrote:
> 
> but it seems at the beginning there still lacks the
> most basic "Hi kids, here is the 'join' command [...] before you get into any more niceties.

I like this approach.
I've added the simplest case at the top.

> On Feb 27, 2017, at 03:35, Pádraig Brady <[email-masked]> wrote:
>
> It might be worth mentioning along with the
> existing examples in the "unpaired lines" section
> the associated set operations for the mathematically inclined?
> https://www.pixelbeat.org/cmdline.html#sets

At the risk of being too verbose,
I've added all combinations to the 'unpaired lines' section,
and also added the examples from your website to a new section "Set operations on files".

Comments very welcomed,
 - assaf

P.S.
I'd also like to suggest to few texinfo commands to disable the directed quoting in examples
(which cause single-quote ASCII 0x27 to be rendered as a unicode character).
This makes copy&pasting from the HTML/PDF manual quite annoying.
Because these texinfo command is not available on older versions,
a slightly complicated hack is required, as done in 'sed':
  http://git.savannah.gnu.org/cgit/sed.git/tree/doc/config.texi

If you agree,
I'll add these commands, and wrap some '@examples' with these '@codequotebacktick' commands.

Also,
If anyone has a better solution to disable directed quotes in @examples globally - I'm very happy to use it.